summaryrefslogtreecommitdiffstats
path: root/main/acf-core/acf-core.post-upgrade
diff options
context:
space:
mode:
Diffstat (limited to 'main/acf-core/acf-core.post-upgrade')
-rw-r--r--main/acf-core/acf-core.post-upgrade16
1 files changed, 16 insertions, 0 deletions
diff --git a/main/acf-core/acf-core.post-upgrade b/main/acf-core/acf-core.post-upgrade
new file mode 100644
index 000000000..1a54c0451
--- /dev/null
+++ b/main/acf-core/acf-core.post-upgrade
@@ -0,0 +1,16 @@
+#!/bin/sh
+
+new=$1
+old=$2
+
+# if current is not older than 0.10.1 we exit.
+if ! [ "$(apk version -t $old 0.10.1)" = "<" ]; then
+ exit 0
+fi
+
+if [ -e /etc/acf/acf.conf.apk-new ]; then
+ mv /etc/acf/acf.conf /etc/acf/acf.conf.apk-old
+ mv /etc/acf/acf.conf.apk-new /etc/acf/acf.conf
+fi
+
+exit 0